note
	description: "Summary description for {FORECAST}."
	author: "Jonathan S. Ostroff and Jackie Wang"
	date: "$Date$"
	revision: "$Revision$"

class
	FORECAST

create
	make

feature -- Initialization
	make(wd: WEATHER_DATA)
		do
			weather_data := wd
		end

feature

	current_pressure: REAL
	last_pressure: REAL

	weather_data: WEATHER_DATA

	update
			-- Update the weather data.
		do
			last_pressure := current_pressure
			current_pressure := weather_data.pressure
		end

	display
			-- Display the weather data.
		do
			update
			if current_pressure > last_pressure then
				print("Improving weather on the way!%N")
			elseif current_pressure = last_pressure then
					print("More of the same%N")
			elseif current_pressure < last_pressure then
					print("Watch out for cooler, rainy weather%N")
			end
		end
end
